package cn.com.countrygarden.bi.main.dao.performance;

import cn.com.countrygarden.bi.main.model.performance.UserTarget;

import java.util.List;
import java.util.Map;

public interface UserTargetMapper {
    int deleteByPrimaryKey(Integer utid);

    int insertSelective(UserTarget record);

    UserTarget selectByPrimaryKey(Integer utid);

    int updateByPrimaryKeySelective(UserTarget record);

    UserTarget selectCouldPower(UserTarget record);

    List<String> selectAllUserCode(Map<String, Integer> map);

    int deleteUserCodeAll(String userCode);

    Long selectExistUser(String userCode);

    Long countSelectAllUserCode();

    int updateIsDelete(String userCode);
}